Subject: bug#55931: closed (Re: [bug#55931] [PATCH] gnu: java-commons-lang3: Update to 3.12.0)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Jun 2022 20:51:02 +0000

Your bug report

#55931: [PATCH] gnu: java-commons-lang3: Update to 3.12.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55931: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55931
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#55931] [PATCH] gnu: java-commons-lang3: Update to 3.12.0
From: Julien Lepiller <[email-masked]>
To: "Artyom V. Poptsov" <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Jun 2022 22:50:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Mon, 13 Jun 2022 10:26:19 +0300,
"Artyom V. Poptsov" <[email-masked]> a écrit :

> Hello Julien,
> 
> I've added a patch that removes 'junit-bom' from 'pom.xml' and tried
> to build 'java-jmh' as you did; it seems that everything now builds
> without errors.
> 
> Please find the updated patch attached.
> 
> - Artyom

Great! Pushed to master as 4ff9f1689d0d8f3c7555c472ce67aaa928af564d.

Before pushing, I applied a few changes. First, when you add a patch,
don't forget to add it to gnu/local.mk. This ensures "make dist" will
generate a complete tarball. Otherwise, the tarball won't contain the
patch. Second, I added a short comment in the patch to explain its
purpose. Finally, I slightly reworded the changelog text about the
patch, in the commit message.

Thanks!

Subject: [PATCH] gnu: java-commons-lang3: Update to 3.12.0
From: "Artyom V. Poptsov" <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jun 2022 22:40:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

this patch updates 'java-commons-lang3' to 3.12.0.

The update is required to add 'java-commons-text' package.

Thanks,

- Artyom

From 2d17e4bc1728db8536374b2ddfd97e61b8aed470 Mon Sep 17 00:00:00 2001
From: "Artyom V. Poptsov" <[email-masked]>
Date: Sun, 12 Jun 2022 22:34:28 +0300
Subject: [PATCH] gnu: java-commons-lang3: Update to 3.12.0

* gnu/packages/java.scm (java-commons-lang3): Update to 3.12.0.
---
 gnu/packages/java.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index fcac0c2367..2e28b28e4e 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -18,6 +18,7 @@
 ;;; Copyright © 2021 Mike Gerwitz <[email-masked]>
 ;;; Copyright © 2021 Pierre Langlois <[email-masked]>
 ;;; Copyright © 2021 Guillaume Le Vaillant <[email-masked]>
+;;; Copyright © 2022 Artyom V. Poptsov <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -6206,14 +6207,14 @@ included:
 (define-public java-commons-lang3
   (package
     (name "java-commons-lang3")
-    (version "3.9")
+    (version "3.12.0")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://apache/commons/lang/source/"
                            "commons-lang3-" version "-src.tar.gz"))
        (sha256
-        (base32 "0s4ffbvsyl16c90l45ximsg4dwd8hmz7wsza3p308fw43h6mwhb6"))))
+        (base32 "09dcv1pkdx3hpf06py8p9511f1wkin6jpacdll0c8vxpbi3yfwzv"))))
     (build-system ant-build-system)
     (arguments
      `(#:jar-name "commons-lang3.jar"
-- 
2.25.1

-- 
Artyom "avp" Poptsov <[email-masked]>
Home page: https://memory-heap.org/~avp/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F